#!/usr/bin/perl
# $Id: subs.pl,v 1.1 1997/11/09 02:13:16 alexsh Exp $
#
# Syntax:
# subs groupfile group email
#

##########################################################################
################################# Main

$cfgfile = shift;
&ReadConfig($cfgfile);

chop($date = `date +%y%m%d`);
chop($time = `date +%H%M%S`);

$group = shift;
$email = shift;
if(!defined $emails{$group})
{
	$dates{$group} = $date;
	$times{$group} = $time;
}
push @{$emails{$group}}, $email;

&WriteConfig($cfgfile);

##########################################################################
################################# Functions

sub ReadConfig
{
	my $cfgfile = shift;
	open CFGFILE, $cfgfile or die "$!";
	while(<CFGFILE>)
	{
		chomp;
		next if /^$/;

		if(/^\*(.*?):(\d*?):(\d*)$/)
		{	
			$group = $1;
			$dates{$group} = $2;
			$times{$group} = $3;
		}
		else
		{
			push @{$emails{$group}}, $_;
		}
	}
	close CFGFILE;
}

sub WriteConfig
{
	$,="\n";
	my $cfgfile = shift;
	open CFGFILE, ">" . $cfgfile or die "$!";
	foreach (keys %emails)
	{
		print CFGFILE "*$_:$dates{$_}:$times{$_}\n";
		print CFGFILE @{$emails{$_}};
		print CFGFILE "\n\n";
	}
	close CFGFILE;
}
