#!/usr/bin/perl
# $Id: unsubs.pl,v 1.2 1997/11/09 11:48:55 alexsh Exp $
#
# Syntax:
# unsubs groupfile group email
#

##########################################################################
################################# Main

$cfgfile = shift;
&ReadConfig($cfgfile);

$group = shift;
$email = shift;

exit if(!defined $emails{$group});
@emails = grep(!/^$email$/, @{$emails{$group}});
if($#emails == -1)
	{ delete $emails{$group}; }
else
	{ $emails{$group} = \@emails; }

&WriteConfig($cfgfile);

##########################################################################
################################# Functions

sub ReadConfig
{
	my $cfgfile = shift;
	open CFGFILE, $cfgfile or die "$!";
	while(<CFGFILE>)
	{
		chomp;
		next if /^$/;

		if(/^\*(.*?):(\d*?):(\d*)$/)
		{	
			$group = $1;
			$dates{$group} = $2;
			$times{$group} = $3;
		}
		else
		{
			push @{$emails{$group}}, $_;
		}
	}
	close CFGFILE;
}

sub WriteConfig
{
	$,="\n";
	my $cfgfile = shift;
	open CFGFILE, ">" . $cfgfile or die "$!";
	foreach (keys %emails)
	{
		print CFGFILE "*$_:$dates{$_}:$times{$_}\n";
		print CFGFILE @{$emails{$_}};
		print CFGFILE "\n\n";
	}
	close CFGFILE;
}
